include::include/header.adoc[]

== Name

bite-bugzilla - Bugzilla service support

== Synopsis

*bite bugzilla* [<options>] <command> [<args>]::
    Run a bugzilla subcommand.

*bite bugzilla* [-h|--help]::
    Output help information.

== Description

Bugzilla service support.

include::include/global-options.adoc[]

include::include/service-options.adoc[]

== Authentication

*-k, --key*::
	Set the API key for service access.

*-u, --user*::
	Set the username for service access.

*-p, --password*::
	Set the password for service access.

== Environment variables

*BUGBITE_KEY*::
	Set the API key for service access.

*BUGBITE_USER*::
	Set the username for service access.

*BUGBITE_PASS*::
	Set the password for service access.

== Subcommands

linkcmd:bite-bugzilla-attachment[1]::
	attachment commands

linkcmd:bite-bugzilla-comment[1]::
	get bug comments

linkcmd:bite-bugzilla-create[1]::
	create bug

linkcmd:bite-bugzilla-get[1]::
	get bugs

linkcmd:bite-bugzilla-history[1]::
	get bug changes

linkcmd:bite-bugzilla-search[1]::
	search bugs

linkcmd:bite-bugzilla-update[1]::
	update bugs

linkcmd:bite-bugzilla-user[1]::
	user commands

linkcmd:bite-bugzilla-version[1]::
	get bugzilla version

== Configuration

See the example below for a valid config including authentication information
with descriptions of the custom service fields in comments:

.Config example
....
type = "bugzilla"
name = "gentoo"
base = "https://bugs.gentoo.org/"

# username for authentication
user = "bugbite@bugbite.test"

# password for authentication
password = "bugbite"

# API key for authentication
key = "a-random-api-key"

# maximum number of results allowed per search request
max_search_results = 1000
....

== See Also

linkcmd:bite[1]
